﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DemoTest_Boldin_41P
{
    /// <summary>
    /// Логика взаимодействия для pgChangePriority.xaml
    /// </summary>
    public partial class windChangePriority : Window
    {
        List<Agent> LAg;
        IList lAgents;
        public windChangePriority(IList lAgents)
        {
            InitializeComponent();
            this.lAgents = lAgents;
            LAg = new List<Agent>();
            foreach(Agent a in lAgents)
            {
                LAg.Add(a);
            }
            tbPrior.Text = LAg.Max(x => x.Priority).ToString();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (Convert.ToInt32(tbPrior.Text) >= 0)
                {
                    foreach (Agent a in LAg)
                    {
                        a.Priority = Convert.ToInt32(tbPrior.Text);
                    }
                    BaseConnect.BaseModel.SaveChanges();
                    MessageBox.Show("Данные успешно изменены!");
                }
                else
                    MessageBox.Show("Приоритет не может быть отрицательным!");
            }
            catch
            {
                MessageBox.Show("Проверьте правильность введенных данных!");
            }
            
        }
    }
}
